Bug 1509653 - [Docs][RFE][Admin] Document new option to collect logs from one host per cluster
Summary: [Docs][RFE][Admin] Document new option to collect logs from one host per cluster
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Avital Pinnick
QA Contact: Tahlia Richardson
URL:
Whiteboard:
Depends On: 1490447
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-05 12:59 UTC by Ala Hino
Modified: 2019-05-07 12:55 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-27 07:39:10 UTC
oVirt Team: Docs
Target Upstream Version:


Attachments (Terms of Use)

Description Ala Hino 2017-11-05 12:59:26 UTC
Description of problem:
ovirt-log-collector collects logs from all hosts, which makes its output too big to handle. Specifying a list of hypervisors by name is tedious and error-prone. People tend to be using --no-hypervisor and miss the purpose.

This RFE is about adding a midway --one-hypervisor-per-cluster. When supplied to the script, the script would choose one host per cluster, and collect its logs. The current SPM and the current host of a self-hosted-engine should be included as well.

See BZ 1490447

Comment 1 Lucy Bopf 2017-11-14 01:54:18 UTC
Hi Ala,

Thanks for raising this bug. To which versions does this apply, and what is the documentation requirement? It sounds like the code is still being worked on here.

Comment 2 Ala Hino 2017-11-14 09:20:40 UTC
(In reply to Lucy Bopf from comment #1)
> Hi Ala,
> 
> Thanks for raising this bug. To which versions does this apply, and what is
> the documentation requirement? It sounds like the code is still being worked
> on here.

Hi Lucy,

The change already merged to master branch and will be applied to 3.6 (cloned BZ 1512307) and 4.1 (cloned BZ 1512308).

Basically, we have to document the new option, based on the description in this bug.


Note You need to log in before you can comment on or make changes to this bug.